module reg_file
#(parameter BITS = 32)
(
	input clock, write_enable,
	input [BITS-1:0] dc,
	input [4:0] ra,rb,rc,
	output [BITS-1:0] qa,qb
);

wire wren = write_enable && rc;

reg_ram A(
	.clock(clock),
	.data(dc),
	.rdaddress(ra),
	.wraddress(rc),
	.wren(wren),
	.q(qa)
);

reg_ram B(
	.clock(clock),
	.data(dc),
	.rdaddress(rb),
	.wraddress(rc),
	.wren(wren),
	.q(qb)
);

endmodule			