module reg_file
#(parameter BITS = 32)
(
	input clock, write_enable,
	input [BITS-1:0] dc,
	input [4:0] ra,rb,rc,
	output [BITS-1:0] qa,qb
);

reg [BITS-1:0] pa[0:31], pb[0:31];

initial
begin
	$readmemh("reg_init.txt", pa);
	$readmemh("reg_init.txt", pb);
end

// RAM A
reg [4:0] addr_a;
always @(posedge clock)
begin
	if (write_enable && rc) 
		pa[rc] <= dc;
	addr_a <= ra;
end
assign qa = pa[addr_a];

// RAM B
reg [4:0] addr_b;		
always @(posedge clock)
begin
	if (write_enable && rc) 
		pb[rc] <= dc;
	addr_b <= rb;
end
assign qb = pb[addr_b];

endmodule			